summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0040mark_shift_0
diff options
context:
space:
mode:
authorJeremy Sowden <jeremy@azazel.net>2020-02-03 11:20:21 +0000
committerPablo Neira Ayuso <pablo@netfilter.org>2020-02-07 16:57:30 +0100
commit1f24768c93346bfb70214fcba65a1dcb3c2e7d46 (patch)
tree9af090c873a86f22aa6c3e1892954ad75d0c6899 /tests/shell/testcases/chains/0040mark_shift_0
parentaae18ff0b2aa18091c54be5873ddf1de97cd24ad (diff)
tests: shell: add bit-shift tests.
Add a couple of shell test-cases for setting the CT mark to a bitwise expression derived from the packet mark and vice versa. Signed-off-by: Jeremy Sowden <jeremy@azazel.net> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/chains/0040mark_shift_0')
-rwxr-xr-xtests/shell/testcases/chains/0040mark_shift_011
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0040mark_shift_0 b/tests/shell/testcases/chains/0040mark_shift_0
new file mode 100755
index 00000000..55447f0b
--- /dev/null
+++ b/tests/shell/testcases/chains/0040mark_shift_0
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+RULESET="
+ add table t
+ add chain t c { type filter hook output priority mangle; }
+ add rule t c oif lo ct mark set (meta mark | 0x10) << 8
+"
+
+$NFT --debug=eval -f - <<< "$RULESET"